aboutsummaryrefslogtreecommitdiffstats
path: root/fuel
diff options
context:
space:
mode:
authorStefan K. Berg <stefan.k.berg@ericsson.com>2015-11-09 11:08:26 +0100
committerStefan K. Berg <stefan.k.berg@ericsson.com>2015-11-09 12:22:15 +0100
commit2c510f0a0d6b797517b768cf767bc4a2bcfb363f (patch)
treea669089b204629aa0fd3710135fe75cf1ae52e78 /fuel
parent924b3919a23ca754e20c26285fb171d5d7287255 (diff)
Add dependency checker tool
A simple script, check_dependencies.sh, has been put in the build root. Given a file as argument, it will attempt to verify that all URIs within said file are accessible. If not, an error message will be presented and the script will exit with return code 1. The script is added to the ODL plugin makefile, and used to verify the Ubuntu and CentOS dependencies within. Change-Id: I4bac9eb5e383629794f6f72baa5472f258e35bef Signed-off-by: Stefan K. Berg <stefan.k.berg@ericsson.com>
Diffstat (limited to 'fuel')
-rwxr-xr-xfuel/build/check_dependencies.sh41
-rw-r--r--fuel/build/f_isoroot/f_odlpluginbuild/Makefile2
2 files changed, 43 insertions, 0 deletions
diff --git a/fuel/build/check_dependencies.sh b/fuel/build/check_dependencies.sh
new file mode 100755
index 000000000..cbcb98ab3
--- /dev/null
+++ b/fuel/build/check_dependencies.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2015 Ericsson AB and others.
+# stefan.k.berg@ericsson.com
+# jonas.bjurel@ericsson.com
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# Given a file as input, this script verifies that all URIs in the file can
+# be fetched.
+
+if [ $# -ne 1 ]; then
+ echo "Usage: $(basename $0) <filename>"
+ exit 1
+fi
+
+if [ ! -e $1 ]; then
+ echo "Could not open $1"
+ exit 1
+fi
+
+echo "Checking dependencies in $1"
+rc=0
+for uri in `cat $1`
+do
+ if ! curl -sfr 0-100 $uri > /dev/null; then
+ echo "Failed fetching $uri" >&2
+ rc=1
+ fi
+done
+
+if [ $rc -ne 0 ]; then
+ echo "ERROR checking dependencies in $1"
+else
+ echo "Dependencies OK"
+fi
+
+exit $rc
diff --git a/fuel/build/f_isoroot/f_odlpluginbuild/Makefile b/fuel/build/f_isoroot/f_odlpluginbuild/Makefile
index 9d79d3531..b5f7ea576 100644
--- a/fuel/build/f_isoroot/f_odlpluginbuild/Makefile
+++ b/fuel/build/f_isoroot/f_odlpluginbuild/Makefile
@@ -32,6 +32,8 @@ release:.odlbuild
sudo gem install fpm
sudo pip install fuel-plugin-builder
git clone -b $(ODL_BRANCH) $(ODL_REPO)
+ @$(BUILD_BASE)/check_dependencies.sh fuel-plugin-opendaylight/odl_package/ubuntu/dependencies.txt
+ @$(BUILD_BASE)/check_dependencies.sh fuel-plugin-opendaylight/odl_package/centos/dependencies.txt
INCLUDE_DEPENDENCIES=true fpb --debug --build fuel-plugin-opendaylight/
mv fuel-plugin-opendaylight/opendaylight*.rpm .
$(REPOINFO) -r . > gitinfo_odlplugin.txt